
CONFIGURATION=Debug
TARGETFV=net7.0

all: build-isn build-isnd

build-%: src/%
	 dotnet build -p:Configuration=$(CONFIGURATION) $^

pack-%: src/%
	dotnet pack $^

watch: 
	dotnet watch --project=src/isnd

test-push:
	isn push src/isn/bin/Debug/isn.*.nupkg

clean-%: src/%
	rm -rf $^/bin $^/obj

packs: pack-isn pack-isnd pack-isn.abst

clean: clean-isnd clean-isn clean-isn.abst

server-update:
	dotnet build -c Release
	dotnet publish -c Release -f net7.0 src/isnd
	sudo systemctl stop isnd
	sudo cp -a src/isnd/bin/Release/net7.0/publish/* /srv/www/isnd
	sudo systemctl start isnd

